Get packagings for a screening
curl --request GET \
--url https://api.maalbar.dk/v1/screenings/{screeningPublicId}/packaging \
--header 'X-Api-Key: <api-key>'const url = 'https://api.maalbar.dk/v1/screenings/{screeningPublicId}/packaging';
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));[
{
"publicId": "screeningMaterial_xxxxxxxxxxxx",
"label": "<string>",
"functionalUnitValue": 123,
"productionWaste": 123,
"recycleShare": 123,
"item": {
"publicId": "item_xxxxxxxxxxxx",
"category": {
"name": "<string>"
},
"functionalUnit": "Centimeter",
"displayName": "<string>"
},
"screeningMaterialMasterBox": {
"publicId": "screeningMaterialMasterBox_xxxxxxxxxxxx"
},
"screeningMaterialPackaging": {
"publicId": "screeningMaterialPackaging_xxxxxxxxxxxx",
"width": 123,
"height": 123,
"depth": 123,
"amount": 123,
"amountType": "ProductsPerContainer"
},
"screeningMaterialMaterials": [
{
"publicId": "screeningMaterialMaterial_xxxxxxxxxxxx",
"locationListItem": {
"publicId": "locationListItem_xxxxxxxxxxxx",
"name": "<string>"
},
"proportion": 123,
"recycleShare": 123
}
],
"screeningMaterialProcesses": [
{
"publicId": "screeningMaterialProcess_xxxxxxxxxxxx",
"proportion": 123,
"productionWaste": 123
}
]
}
]{
"error": "Invalid request parameters"
}{
"error": "Authentication required"
}{
"error": "Resource not found"
}{
"error": "An unexpected error occurred"
}Packagings
Get packagings for a screening
GET
/
screenings
/
{screeningPublicId}
/
packaging
Get packagings for a screening
curl --request GET \
--url https://api.maalbar.dk/v1/screenings/{screeningPublicId}/packaging \
--header 'X-Api-Key: <api-key>'const url = 'https://api.maalbar.dk/v1/screenings/{screeningPublicId}/packaging';
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));[
{
"publicId": "screeningMaterial_xxxxxxxxxxxx",
"label": "<string>",
"functionalUnitValue": 123,
"productionWaste": 123,
"recycleShare": 123,
"item": {
"publicId": "item_xxxxxxxxxxxx",
"category": {
"name": "<string>"
},
"functionalUnit": "Centimeter",
"displayName": "<string>"
},
"screeningMaterialMasterBox": {
"publicId": "screeningMaterialMasterBox_xxxxxxxxxxxx"
},
"screeningMaterialPackaging": {
"publicId": "screeningMaterialPackaging_xxxxxxxxxxxx",
"width": 123,
"height": 123,
"depth": 123,
"amount": 123,
"amountType": "ProductsPerContainer"
},
"screeningMaterialMaterials": [
{
"publicId": "screeningMaterialMaterial_xxxxxxxxxxxx",
"locationListItem": {
"publicId": "locationListItem_xxxxxxxxxxxx",
"name": "<string>"
},
"proportion": 123,
"recycleShare": 123
}
],
"screeningMaterialProcesses": [
{
"publicId": "screeningMaterialProcess_xxxxxxxxxxxx",
"proportion": 123,
"productionWaste": 123
}
]
}
]{
"error": "Invalid request parameters"
}{
"error": "Authentication required"
}{
"error": "Resource not found"
}{
"error": "An unexpected error occurred"
}Authorizations
Path Parameters
Response
Successful response
Required string length:
16Example:
"screeningMaterial_xxxxxxxxxxxx"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes